This page is for Authlete 2.x. For current (3.0) documentation, see this page.
Preface
This article describes setup instructions for Authlete to use “Mutual-TLS certificate-bound access tokens,” defined in “RFC 8705 OAuth 2.0 Mutual-TLS Client Authentication and Certificate-Bound Access Tokens.”“Mutual-TLS certificate-bound access tokens” works independently of the “mutual-TLS client authentication.” Check out the following article on the client authentication method.
How it works

-
POST /auth/token API
- It receives a client certificate (clientCertificate) as a request parameter and binds it with an access token to be issued.
- If using JWT-formatted access tokens is enabled, the API includes a thumbprint of the client certificate into an access token to be issued.
-
POST /auth/introspection API
- It receives an access token and a client certificate as request parameters and checks if both are bound to each other.
-
POST /auth/introspection/standard API
- It receives an access token (token) as a value included in one of request parameters (parameters) and provides a thumbprint of the client certificate bound to the token.
Configuration
Service settings for access token configuration
Log into Authlete’s Service Owner Console , click “Edit” button in the bottom of the page to make settings editable, and go to Token tab. There should be Access Token section. Choose the following option for TLS Client Certificate Bound Access Tokens.| Item | Value |
|---|---|
| TLS Client Certificate Bound Access Tokens | Choose “Supported” |

Client settings for access token configuration
Log into Developer Console for the service, click a link to the client, click “Edit” button in the bottom of the page to make settings editable, and go to Basic tab. Choose the following option for TLS Client Certificate Bound Access Tokens.| Item | Value |
|---|---|
| TLS Client Certificate Bound Access Tokens | Choose “Enabled” |
